For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all versions

How to fetch a collection of versions via API

To fetch a collection of versions, send a GET request to the /api/versions endpoint.

Request

GET https://provisioning.commercelayer.io/api/versions

Example

The following request fetches a collection of versions:

curl -g -X GET \
  'https://provisioning.commercelayer.io/api/versions/' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer {{your_access_token}}'

On success, the API responds with a 200 OK status code, returning a paginated collection of resource objects:

{
  "data": [
    {
      "id": "xYZkjABcde",
      "type": "versions",
      "links": {
        "self": "https://provisioning.commercelayer.io/api/versions/xYZkjABcde"
      },
      "attributes": {
        "resource_type": "roles",
        "resource_id": "PzdJhdLdYV",
        "event": "update",
        "changes": {
          "name": [
            "previous",
            "new"
          ]
        },
        "who": {
          "application": {
            "id": "DNOPYiZYpn",
            "kind": "integration",
            "public": true
          }
        },
        "created_at": "2018-01-01T12:00:00.000Z",
        "updated_at": "2018-01-01T12:00:00.000Z",
        "reference": "ANY-EXTERNAL-REFEFERNCE",
        "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
        "metadata": {
          "foo": "bar"
        }
      }
    },
    {
      "other": "... 9 versions (first page)"
    }
  ],
  "meta": {
    "record_count": 140,
    "page_count": 14
  },
  "links": {
    "first": "https://provisioning.commercelayer.io/versions?page[number]=1&page[size]=10",
    "next": "https://provisioning.commercelayer.io/versions?page[number]=2&page[size]=10",
    "last": "https://provisioning.commercelayer.io/versions?page[number]=14&page[size]=10"
  }
}

Remember that when you fetch a list of resources you get paginated result.

Sortable fields

The list of versions can be sorted by the following fields:

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

Filterable fields

The list of versions can be filtered by the following fields:

Attributes

  • resource_type

  • resource_id

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

  • metadata

Last updated